summaryrefslogtreecommitdiffstats
path: root/bin/ebuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild.sh')
-rwxr-xr-xbin/ebuild.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index c3cf18164..37a308481 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -1071,6 +1071,13 @@ dyn_compile() {
trap abort_compile SIGINT SIGQUIT
+ if hasq distcc $FEATURES && hasq distcc-pump $FEATURES ; then
+ if [[ -z $INCLUDE_SERVER_PORT ]] || [[ ! -w $INCLUDE_SERVER_PORT ]] ; then
+ eval $(/usr/bin/pump --startup)
+ trap "/usr/bin/pump --shutdown" EXIT
+ fi
+ fi
+
ebuild_phase pre_src_compile
vecho ">>> Compiling source in $PWD ..."